Skip to main content
POST
/
api
/
public
/
v1
/
stores
/
create
Create store
curl --request POST \
  --url https://app.tagadapay.com/api/public/v1/stores/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My New Store",
  "baseCurrency": "USD",
  "presentmentCurrencies": [
    "USD",
    "EUR"
  ],
  "chargeCurrencies": [
    "USD"
  ]
}
'
{
  "id": "store_123",
  "name": "My New Store",
  "type": "shopify",
  "baseCurrency": "USD",
  "presentmentCurrencies": [
    "USD",
    "EUR"
  ],
  "chargeCurrencies": [
    "USD"
  ],
  "createdAt": "2024-03-20T10:30:00Z"
}

Authorizations

Authorization
string
header
required

Enter your API key as: Bearer your-api-key

Body

application/json
name
string
required
presentmentCurrencies
required
chargeCurrencies
required
baseCurrency
string
required
id
string
createdAt
string<date-time> | null
updatedAt
string<date-time> | null
type
string
accountId
string | null
credentials
selectedPaymentFlowId
string | null
syncLocale
string | null
paypalSubscriptionEnabled
boolean | null
multipleSubscriptionsPerCustomerEnabled
boolean | null
flaggedForDeletionAt
string<date-time> | null
lastTimeFlaggedForDeletionAt
string<date-time> | null
experimentalFeatures
customThankYouUrl
string | null
rebillSettings
creditSettings
applyExternalBXGYDiscountOnSubscription
boolean | null
digitalProduct
boolean | null
config
createDemoProducts
boolean

Response

Successful response